import { AMQPEventEmitter as eventManager } from "./EventEmitter";
import { ChannelManager } from './ChannelManager';
import { TaskManager } from "./TaskManager";
import { Event } from "./Event";
import { EventListener } from "./EventListener";
import { EventListenerConstructorOptions } from "./EventListener";
import { EventConstructorOptions } from "./Event";
import { RPCManager } from "./RPCManager";
export declare class AMQPManager {
    private taskManager;
    readonly events: typeof eventManager;
    readonly rpc: typeof RPCManager;
    readonly channelManager: ChannelManager;
    readonly tasks: TaskManager;
    createEvent(options: EventConstructorOptions): Event;
    createEventListener(options: EventListenerConstructorOptions): EventListener;
    setConnectionURI(uri: any): void;
    disconnect(cb: any): void;
    reconnect(cb?: any): void;
    finalize(): void;
}
