export interface EventConstructorOptions {
    exchange: string;
    topic: string;
    userId?: string;
}
export interface Message {
    exchange: string;
    topic: string;
    userId?: string;
    content: any;
}
export declare class Event {
    exchange: string;
    topic: string;
    userId: string;
    constructor(options: EventConstructorOptions);
    send(object: any): Promise<void>;
    readonly fullExchangeName: string;
    readonly routeKey: string;
    private assertExchange();
    private assertExchangeForAllEvents();
    private bindToExchangeForAllEvents();
    sendBuffer(buffer: any): Promise<void>;
    sendString(string: string): Promise<void>;
    prepareMessage(object: any): string;
}
