/// <reference types="node" />
import * as events from "events";
import { EventListener } from "./EventListener";
export interface EventsListeners {
    [index: string]: EventListener;
}
export interface EventOptions {
    event: string;
    persistent?: boolean;
    autoAck?: boolean;
    prefetchCount?: number;
}
export declare class AMQPEventEmitter {
    runtime: string;
    ee: events.EventEmitter;
    eventsListeners: EventsListeners;
    nowProcessingEvents: Map;
    private trackEventsProcessing;
    onStartProcesEvent(data: any): void;
    onEndProcessEvent(data: any, err: any): void;
    disableTracking(): void;
    constructor(runtime: any);
    private preListen(options, cb);
    emit(event: any, data: any): void;
    getListenerForFn(event: string, fn: Function): Function;
    addListener(event: string | EventOptions, listener: Function, cb?: Function): void;
    on(event: string | EventOptions, listener: Function, cb?: Function): void;
    once(event: string | EventOptions, listener: Function, cb?: Function): void;
    removeListener(event: string, fn: Function): void;
    removeAllListeners(event?: string): void;
    setMaxListeners(n: number): void;
    listeners(event: string): void;
}
