import { AMQPEventEmitter } from './EventEmitter';
export interface EventListenerConstructorOptions {
    exchange?: string;
    runtime?: string;
    topic?: string;
    userId?: string;
    persistent?: boolean;
    autoAck?: boolean;
    prefetchCount?: number;
}
export interface MessageExtra {
    ack?: () => void;
}
export interface ListenerFunc {
    (message: any, extra: MessageExtra): void | Promise;
}
export declare class EventListener {
    exchange: string;
    topic: string;
    queue: string;
    userId: string;
    persistent: boolean;
    autoAck: boolean;
    prefetchCount: number;
    private listener;
    private queueOptions;
    private consumerTag;
    private eventEmitter;
    constructor(options: EventListenerConstructorOptions, eventEmitter: AMQPEventEmitter);
    onReconnect: () => void;
    onFinalize: () => void;
    readonly fullExchangeName: string;
    queueName: string;
    readonly routeKey: string;
    private assertExchange();
    private assertQueue();
    private bindQueue();
    private ack(msg);
    private onMessageReceived;
    private consume();
    listen(listener: (message, extra?) => void): Promise<void>;
    cancel(): void;
}
