import { TaskManager } from "./TaskManager";
import { Channel } from "amqplib/callback_api";
export interface TaskParams {
    title: string;
    data: any;
}
export declare class Task {
    uuid: string;
    type: string;
    params: TaskParams;
    taskCallback: any;
    opts: any;
    static taskManager: TaskManager;
    private consumerTask;
    constructor(type: string, params?: TaskParams);
    onReconnect: () => void;
    onFinalize: () => void;
    readonly exchangeName: string;
    readonly queueName: string;
    start(cb?: any): Promise<void>;
    submit(cb?: any): Promise<void>;
    private assertExchange();
    private assertQueue();
    private bindQueue();
    purgeQueue(): Promise<Channel>;
    consume(): Promise<void>;
    cancel(): void;
    processTask(opts: any, taskCallback: any): Promise<void>;
}
